PAPIf_hl_stop(3)

NAME
PAPIf_hl_stop -

Stop a running high-level event set.

SYNOPSIS

Detailed Description

Fortran Prototype:
    #include 'fpapi.h'
     PAPIf_hl_stop( C_INT check )

Return values:
    PAPI_ENOEVNT -- The EventSet is not started yet.
    PAPI_ENOMEM -- Insufficient memory to complete the operation.

PAPIf_hl_stop stops a running high-level event set.

This call is optional and only necessary if the programmer wants to use the low-level API in addition to the high-level API. It should be noted that PAPIf_hl_stop and low-level calls are not allowed inside of a marked region. Furthermore, PAPIf_hl_stop is thread-local and therefore has to be called in the same thread as the corresponding marked region.

Example:

* integer retval
*
* call PAPIf_hl_region_begin("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_region_begin failed!"
* end if
*
* !do some computation here
*
* call PAPIf_hl_region_end("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_region_end failed!"
* end if
*
* call PAPIf_hl_stop(retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_stop failed!"
* end if
*
*

See Also:
    PAPI_hl_stop

Author

Generated automatically by Doxygen for PAPI from the source code.